// Once the DOM is ready...
$(function () {
	
	let page = '#page-create';
	
	if (COOKIE) {
		page = '#page-cookie';
		$('#page-cookie-value').html(COOKIE);
	}
	
	// Zombie mode?
	let zombie = window.localStorage.getItem("zombie");
	if (zombie) {
		COOKIE = zombie;
		page = '#page-zombie';
		$('#page-zombie-value').html(COOKIE);
		document.cookie = 'zombie=' + COOKIE;
	}
	
	$(page).show();
});


function onCreate(e) {
	
	e.preventDefault(); // Prevent refresh.
	
	let value = $('#page-create-value').val();
	if (value.length == 0)
		return $('#page-create-error').html("Cannot be empty.");
	var patt = new RegExp("^[a-zA-Z\d]+$");
	if (!patt.test(value))
		return $('#page-create-error').html("Letters and numbers only please.");
	
	$.ajax({
		type: 'POST',
		url: 'create-cookie.php',
		data: { value },
		dataType: 'json',
		success: onCreateSuccess,
		error: onCreateError
	});
}
function onCreateSuccess (data) {
	console.log(data);
	if (data.error || !data.value)
		return $('#page-create-error').html("Something went wrong.");
	
	/**
	 * Reload issue: it turns out the page needs to be reloaded,
	 * for the browser to be able to delete the cookie made via AJAX.
	 */
	location.reload();
	
	// Cookie has been created... so load #page-cookie.
	$('#page-create').hide();
	// Fix for reload issue: don't show #page-cookie, just wait for whole page to reload.
	// $('#page-cookie').show();
	$('#page-cookie-value').html(data.value);
	COOKIE = data.value;
}
function onCreateError (error) {
	console.log(error);
	$('#page-create-error').html("Something went wrong.");
}


function zombieMode() {
	$('#page-cookie').hide();
	$('#page-zombie').show();
	$('#page-zombie-value').html(COOKIE);
	window.localStorage.setItem('zombie', COOKIE);
}
